[p4perl] Issues running p4 diff2 using p4perl

Tony Smith tony at smee.org
Fri Nov 30 08:41:07 PST 2007


On Friday 30 November 2007 16:37:58 stuart.moore at symbian.com wrote:
> Tony Smith <tony at smee.org> wrote on 30/11/2007 15:53:10:
> > Hi Stuart,
> >
> >
> > 1. Downgrade your API level in your script to 56 (2003.2), which
> > will probably
> > make your old version of the script work again. Call it before you
>
> connect.
>
> >    $p4->SetApiLevel( 56 );
> >    $p4->Connect();
> >
> > This is a way of getting old output formats sent from a new server to a
>
> new
>
> > client and helps keep old scripts running.
>
> Thank you for the swift response, this has solved the issue.

You're welcome. Glad I could help out.

Tony



More information about the p4perl mailing list